%define _name acsccid
%define dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)
%define libusb_ver 1.0.9
%define pcsc_lite_ver 1.5.2

Name:           pcsc-lite-acsccid
Version:        1.1.11
Release:        1%{?dist}
Summary:        ACS USB CCID smart card reader driver

License:        LGPL-2.1-or-later
URL:            http://acsccid.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{_name}/%{_name}-%{version}.tar.bz2
# Fix the compatibility with libhal.
Patch0:         %{_name}-1.1.10-libhal.patch
# Add polling thread support for slot status.
Patch1:         %{_name}-1.1.11-polling-thread.patch
# Let pcsc-lite delay the polling if the reader is unplugged.
Patch2:         %{_name}-1.1.11-polling-unplug.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libusb1-devel >= %{libusb_ver}
BuildRequires:  pcsc-lite-devel >= %{pcsc_lite_ver}
BuildRequires:  flex
Requires(post): initscripts
Requires(postun): initscripts
Requires:       pcsc-lite >= %{pcsc_lite_ver}
Provides:       pcsc-ifd-handler


%description
ACS USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -a src/openct/LICENSE LICENSE.openct
cp -a src/towitoko/README README.towitoko


%build
%configure \
    PCSC_CFLAGS="-I%{_builddir}/%{_name}-%{version}/MacOSX" \
    PCSC_LIBS="%(pkg-config --libs libpcsclite 2>/dev/null)" \
    --enable-composite-as-multislot
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_initrddir}/pcscd ] && %{_initrddir}/pcscd status >> /dev/null 2>&1 && %{_sbindir}/pcscd -H > /dev/null 2>&1
exit 0


%postun
[ -x %{_initrddir}/pcscd ] && %{_initrddir}/pcscd status >> /dev/null 2>&1 && %{_sbindir}/pcscd -H  > /dev/null 2>&1
exit 0


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE.openct NEWS README README.towitoko
%{dropdir}/ifd-acsccid.bundle/


%changelog
* Wed Mar 27 2024 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.11-1
- Updated to version 1.1.11.
- Updated SPDX license.
- Replaced acsccid-1.1.10-polling-thread.patch with
  acsccid-1.1.11-polling-thread.patch.
- Replaced acsccid-1.1.10-polling-unplug.patch with
  acsccid-1.1.11-polling-unplug.patch.

* Thu Aug  3 2023 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.10-1
- Updated to version 1.1.10.
- Backported to RHEL 6.
- Replaced acsccid-1.1.9-libhal.patch with acsccid-1.1.10-libhal.patch.
- Replaced acsccid-1.1.9-polling-thread.patch with
  acsccid-1.1.10-polling-thread.patch.
- Replaced acsccid-1.1.9-polling-unplug.patch with
  acsccid-1.1.10-polling-unplug.patch.

* Thu Mar 23 2023 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.9-1
- Updated to version 1.1.9.
- Backported to RHEL 6.
- Replaced acsccid-1.1.5-libhal.patch with acsccid-1.1.9-libhal.patch.
- Replaced acsccid-1.1.5-polling-thread.patch with
  acsccid-1.1.9-polling-thread.patch.
- Replaced acsccid-1.1.6-polling-unplug.patch with
  acsccid-1.1.9-polling-unplug.patch.

* Wed Jan  8 2020 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.8-1
- Updated to version 1.1.8.
- Backported to RHEL 6.

* Thu Jul 25 2019 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.7-1
- Updated to version 1.1.7.
- Removed Group tag.

* Tue Oct 30 2018 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.6-1
- Updated to version 1.1.6.
- Renamed perl to perl-interpreter in BuildRequires.
- Added gcc to BuildRequires.

* Wed Oct 25 2017 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.5-1
- Updated to version 1.1.5.

* Fri Dec 16 2016 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.4-1
- Updated to version 1.1.4.

* Thu Jun 23 2016 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.3-1
- Updated to version 1.1.3.

* Fri Feb 19 2016 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.2-1
- Updated to version 1.1.2.

* Fri Nov  6 2015 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.1-1
- Updated to version 1.1.1.
- Updated libusb to 1.0.9.

* Mon Dec 15 2014 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.1.0-1
- Updated to version 1.1.0.
- Updated libusb to 1.0.8.
- Updated pcsc-lite to 1.8.3.
- Removed old Fedora support.

* Fri Jul  4 2014 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.8-1
- Updated to version 1.0.8.

* Tue Jun 17 2014 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.7-1
- Updated to version 1.0.7.

* Thu Apr 24 2014 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.6-1
- Updated to version 1.0.6.

* Wed Sep  4 2013 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.5-1
- Updated to version 1.0.5.

* Tue Jun 26 2012 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.4-1
- Updated to version 1.0.4.

* Fri Jan 13 2012 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.3-1
- Updated to version 1.0.3.
- Removed pcsc-lite-1_7_3.patch.
- Included ChangeLog from upstream.

* Thu Jan 12 2012 Godfrey Chung <godfrey.chung@acs.com.hk> - 1.0.2-1
- Created package.
- Based on pcsc-lite-ccid.spec.
